Bug 501125 - Xorg uses 100% of the cpu and locks up
Xorg uses 100% of the cpu and locks up
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 14:07 EDT by Wolfgang Rupprecht
Modified: 2018-04-11 03:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (47.23 KB, text/plain)
2009-05-16 14:07 EDT, Wolfgang Rupprecht
no flags Details
ps-axjf output at time of hang and after a few things were killed (9.29 KB, text/plain)
2009-05-16 14:09 EDT, Wolfgang Rupprecht
no flags Details
top output after hang (57.64 KB, text/plain)
2009-05-16 14:09 EDT, Wolfgang Rupprecht
no flags Details
yum list of xorg packages installed at time of hang (8.64 KB, text/plain)
2009-05-16 14:10 EDT, Wolfgang Rupprecht
no flags Details
xorg.log from a different machine that is exhibiting the same lock-ups (47.94 KB, text/plain)
2009-05-17 13:36 EDT, Wolfgang Rupprecht
no flags Details

  None (edit)
Description Wolfgang Rupprecht 2009-05-16 14:07:01 EDT
Created attachment 344287 [details]
Xorg log file

Description of problem:

Running firefox will reliably lock up Xorg in such a way that all keyboard input is ignored, Xorg is unkillable Xorg chews up 100% of the CPU.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati.x86_64 6.12.2-14.fc11

How reproducible:

very.  just a few minutes of using firefox usually locks things up.

Steps to Reproduce:
1. start firefox and browse
2. watch X freeze, usually as a window is being drawn.  The window is still   in the process of being drawn and looks "transparent" at the time of the hang.
3.
  
Actual results:

Xorg hangs and is unresponsive.

Expected results:

Xorg doesn't hang and is responsive.

Additional info:

I threw a dart at the dartboard to see which package to pin this bug on.  Seeing how X is unkillable, I'm assuming this is an X bug and not a gnome or firefox bug.
Comment 1 Wolfgang Rupprecht 2009-05-16 14:09:03 EDT
Created attachment 344288 [details]
ps-axjf output at time of hang and after a few things were killed
Comment 2 Wolfgang Rupprecht 2009-05-16 14:09:43 EDT
Created attachment 344289 [details]
top output after hang
Comment 3 Wolfgang Rupprecht 2009-05-16 14:10:17 EDT
Created attachment 344290 [details]
yum list of xorg packages installed at time of hang
Comment 4 Matěj Cepl 2009-05-16 17:57:20 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Wolfgang Rupprecht 2009-05-16 18:55:36 EDT
Note the Xorg.log file was attached to the #1 initial bug report.  There is no xorg.conf file (as the Xorg.log file also indicates.)
Comment 6 Matěj Cepl 2009-05-17 05:04:07 EDT
(In reply to comment #5)
> Note the Xorg.log file was attached to the #1 initial bug report.  There is no
> xorg.conf file (as the Xorg.log file also indicates.)  

Sorry, too many bugs and I have overlooked. Yes, this is correct and this bug can be sent down the pipe to developers.
Comment 7 Wolfgang Rupprecht 2009-05-17 13:36:49 EDT
Created attachment 344338 [details]
xorg.log from a different machine that is exhibiting the same lock-ups

This is a log from an older HP laptop.  The lockups don't happen as frequently here, but they do also happen.
Comment 8 Wolfgang Rupprecht 2009-05-17 13:56:26 EDT
Is there some temporary work-around for this bug?  I'd love to test fedora-11-preview some more, but that isn't going to happen if the screen locks up every few minutes.
Comment 9 Michael Alenius 2009-05-18 12:51:21 EDT
(In reply to comment #8)
> Is there some temporary work-around for this bug?  I'd love to test
> fedora-11-preview some more, but that isn't going to happen if the screen locks
> up every few minutes.  

Have the same problem.
Try xorg-x11-drv-ati-6.12.2-9.fc11.
It at least works for me on x86.
Comment 10 Wolfgang Rupprecht 2009-05-18 14:02:10 EDT
I only had the following laying around in my yum cache, but it also locked up within seconds of running mozilla and restoring my old tabs.

          xorg-x11-drv-ati-6.12.2-7.fc11.x86_64.rpm
Comment 11 Michael Alenius 2009-05-18 14:17:52 EDT
(In reply to comment #10)
> I only had the following laying around in my yum cache, but it also locked up
> within seconds of running mozilla and restoring my old tabs.
> 
>           xorg-x11-drv-ati-6.12.2-7.fc11.x86_64.rpm  

Yes! The only one working for me is, xorg-x11-drv-ati-6.12.2-9.fc11.i586.rpm.
Take yours from here.
http://koji.fedoraproject.org/koji/buildinfo?buildID=100048
Comment 12 Wolfgang Rupprecht 2009-05-18 14:45:49 EDT
very interesting.  It looks like xorg-x11-drv-ati-6.12.2-9 works for me too on the x86_64 side of things.  Thanks for the tip Michael!
Comment 13 Michael Alenius 2009-05-18 15:10:25 EDT
(In reply to comment #12)
> very interesting.  It looks like xorg-x11-drv-ati-6.12.2-9 works for me too on
> the x86_64 side of things.  Thanks for the tip Michael!  

Good! It not just me.
You may want to run gstreamer-properties an choose the (No Xv) option in the video tab.
To get totem and other players to run properly.
Comment 14 Bug Zapper 2009-06-09 11:56:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Thomas Chace 2009-07-05 16:02:26 EDT
I can confirm this still happens in Fedora 11 as of July 5, 2009. Is there any fix?
Comment 16 Mitch Davis 2009-07-05 20:22:06 EDT
Is this related to bug 498457?
Comment 17 Thomas Chace 2009-07-06 14:18:07 EDT
It may be related, however X seems to start fine for me.
Comment 18 Mitch Davis 2009-07-06 20:19:18 EDT
Hi Thomas, this bug was originally created by Wolfgang Rupprecht, who, in his bug report, specifically mentions the problems with Firefox.

X starts for me too, it's something that Firefox does that hangs X.  Please have a look at bug 498457 comment 16 and bug 498457 comment 21.  

I think this bug and bug 498457 are the same.
Comment 19 Thomas Chace 2009-07-06 20:28:09 EDT
I know, Firefox is causing the crashing/locking up for me as well.
Comment 20 Matěj Cepl 2009-11-05 13:29:23 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 21 Michael Alenius 2009-11-23 09:39:04 EST
(In reply to comment #20)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.
> Users who have experienced this problem are encouraged to upgrade their system
> to the latest version of their packages. For packages from updates-testing
> repository you can use command
> 
> yum upgrade --enablerepo='*-updates-testing'
> 
> Alternatively, you can also try to test whether this bug is reproducible with
> the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta
> available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using
> that you get all the latest packages without need to install anything on your
> computer. For more information on using LiveMedia take a look at
> https://fedoraproject.org/wiki/FedoraLiveCD .
> 
> Please, if you experience this problem on the up-to-date system, let us now in
> the comment for this bug, or whether the upgraded system works for you.
> 
> If you won't be able to reply in one month, I will have to close this bug as
> INSUFFICIENT_DATA. Thank you.
> 
> [This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm
> adding myself to the CC list for each bug, so I'll see any comments you make
> after this and do my best to make sure every issue gets proper attention.]  

Working quite well on fedora12. Nomodeset is best and suspend, still, doesn't work.
With the latest xorg-drv-ati-6.13.0-0.12.20091119git437113124.fc12 Exa is now working.

ati radeon xpress 200M 5955
Comment 22 Matěj Cepl 2010-02-26 07:21:22 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 23 Wolfgang Rupprecht 2010-02-26 07:34:14 EST
This particular bug has not been seen in a while.  Feel free to close.
Comment 24 Matěj Cepl 2010-03-02 12:45:02 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.